cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        sp:{
            default: null,
            type:cc.Sprite
        },

        text: 'Hello, World!'
    },

    // use this for initialization
    onLoad: function () {

        this.label.string = this.text;
          //画布，响应事件
        this.toolStatus=1;
        this.line = 0;
        this.circle = 1;
        this.rect = 2;
        this.type = this.line;
        this._lineWidth = 10;
        this.color = cc.Color.YELLOW;
        this.eraser = true;
    },

    // called every frame
    update: function (dt) {

    },

    onBlue()
    {
        let that = this
        let colorSpr = that.node.getChildByName('colorS').getComponent(cc.Sprite);
        colorSpr.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/color3.png'));

    },

    onRed()
    {
        let that = this
        let colorSpr = that.node.getChildByName('colorS').getComponent(cc.Sprite);
        colorSpr.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/color1.png'));

    },

    onBlack()
    {
        let that = this
        let colorSpr = that.node.getChildByName('colorS').getComponent(cc.Sprite);
        colorSpr.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/color5.png'));
    },

    onYellow()
    {
        let that = this
        let colorSpr = that.node.getChildByName('colorS').getComponent(cc.Sprite);
        colorSpr.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/color4.png'));
    },

    onGray()
    {
        let that = this
        let colorSpr = that.node.getChildByName('colorS').getComponent(cc.Sprite);
        colorSpr.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/color6.png'));
    },

    onGreen()
    {
        let that = this
        let colorSpr = that.node.getChildByName('colorS').getComponent(cc.Sprite);
        colorSpr.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/color2.png'));
    },

    onToumingse()
    {
        let that = this
        let sprite = that.node.getChildByName('type').getComponent(cc.Sprite);
        sprite.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/eraser.png'));
    },

    onCircle()
    {
        //点击圆圈按钮 动态变更 左上角两图片
        let that = this
        let sprite = that.node.getChildByName('type').getComponent(cc.Sprite);
        sprite.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/circle.png'));
    },

    onRect()
    {
        let that = this
        let sprite = that.node.getChildByName('type').getComponent(cc.Sprite);
        sprite.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/favicon.png'));
    },

    onLine()
    {
        let that = this
        let sprite = that.node.getChildByName('type').getComponent(cc.Sprite);
        sprite.spriteFrame = new cc.SpriteFrame(cc.url.raw('resources/icon/line.png'));
    },
});
